package com.micer.easyball.service;

import com.micer.easyball.pojo.Dto.GameDto;
import com.micer.easyball.pojo.Game;
import com.micer.easyball.pojo.ResponseResult;

public interface GameService {
    ResponseResult getGames(Long year, Boolean option);

    ResponseResult getNewGameId();

    ResponseResult addGame(GameDto gameDto);

    ResponseResult deleteGame(String gameId);

    ResponseResult editGame(com.micer.easyball.pojo.Dto.GameUpdateDto gameUpdateDto);

    ResponseResult getClubStatistics(Long year);

    ResponseResult getPlayerStatistics(Long year, String playerId);

    Game getGameById(String gameId);

}
